classification
Title: Use specific asserts in bytes tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, rhettinger, serhiy.storchaka, terry.reedy, vstinner
Priority: normal Keywords: easy, patch

Created on 2014-02-07 20:27 by serhiy.storchaka, last changed 2017-03-27 15:00 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
test_bytes_asserts.patch serhiy.storchaka, 2014-02-07 20:27 review
Pull Requests
URL Status Linked Edit
PR 790 merged serhiy.storchaka, 2017-03-23 17:07
Messages (6)
msg210549 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-02-07 20:27
The proposed patch makes bytes tests use more specific asserts. This will provide more useful failure report.
msg211196 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-02-14 02:04
None of these should be backported.
msg290054 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-03-23 17:10
I think this should only go to 3.7 now.
msg290560 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-03-27 03:16
Raymond, Am I correct in thinking that your comment is not specific to bytes but applies to all patches like this?  If so, I think I agree because any future changes that break tests will almost certain happen in 3.7+, so that the extra work of backporting will have almost 0 gain.  In a few years, the changes will be in all currently active branches for free.
msg290583 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-03-27 10:59
New changeset 604e74c6beb2585c81083fa85f0e5a4d46965cbc by Victor Stinner (Serhiy Storchaka) in branch 'master':
bpo-20552: Use specific asserts in bytes tests (#790)
https://github.com/python/cpython/commit/604e74c6beb2585c81083fa85f0e5a4d46965cbc
msg290619 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-03-27 15:00
Close?
History
Date User Action Args
2017-03-27 15:00:30terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg290619

stage: patch review -> resolved
2017-03-27 10:59:09vstinnersetnosy: + vstinner
messages: + msg290583
2017-03-27 03:16:46terry.reedysetnosy: + terry.reedy
messages: + msg290560
2017-03-23 17:10:09Mariattasetnosy: + Mariatta

messages: + msg290054
versions: + Python 3.7, - Python 3.5
2017-03-23 17:07:46serhiy.storchakasetpull_requests: + pull_request695
2014-02-14 02:04:38rhettingersetnosy: + rhettinger

messages: + msg211196
versions: + Python 3.5, - Python 2.7, Python 3.3, Python 3.4
2014-02-07 20:30:27serhiy.storchakalinkissue16510 dependencies
2014-02-07 20:27:36serhiy.storchakacreate